﻿#define SQLServer2008R2       //must appear before any instructions
#define DEBUG                 //

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CompilerDirectives
{
    class Program
    {
        static void Main()
        {
#if (SQLServer2008R2)
            Console.WriteLine("Using Microsoft SQL Server 2008 R2");
            //insert code that executes with SQL Server 2008 R2
#elif (SQLServer2008)
            Console.WriteLine("Using Microsoft SQL Server 2008");
            //insert code that executes with SQL Server 2008
#elif (SQLServer2005)
            Console.WriteLine("Using Microsoft SQL Server 2005");
            //insert code that executes with SQL Server 2005
#else
            Console.WriteLine("Using any other SQL database");
            //insert code that executes in any other case
#endif
        }

        #region Helper methods
        static void DoSomething()
        {
#if (DEBUG)
            //code executing in debug mode
#else
            //code executing in non-debug mode (release mode)
#endif
        }
        #endregion
    }
}
