﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OOPBasics
{
    static class Sort
    {
        public delegate bool Compare(Object v1, Object v2);

        static public void DoSort(Object[] dataToSort, Compare greaterThan)
        {
            int outer;  //index outer element
            int inner;  //index inner element
            object temp;   //help element

            for (outer = 0; outer <= dataToSort.GetUpperBound(0); outer++)
            {
                for (inner = outer + 1; inner <= dataToSort.GetUpperBound(0); inner++)
                {
                    if (greaterThan.Invoke(dataToSort[outer], dataToSort[inner]))
                    {
                        temp = dataToSort[outer];
                        dataToSort[outer] = dataToSort[inner];
                        dataToSort[inner] = temp;
                    }
                }
            }
        }
    }
}
