﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;

namespace AdvancedOOP
{
    sealed class ExchangeStudent : Student
    {
        #region constructor
        public ExchangeStudent()
        {
            Debug.WriteLine("ExchangeStudent constructor");
        }
        #endregion

          #region Properties
        public string Country { get; set; }

        public new string GetName()
        {
            return base.GetName(NameType.Nick);
        }

        public new void SetName(string name)
        {
            base.SetName(name);
        }
        #endregion
    }
}
