﻿//wenn man bei der Definition einer Klasse ein zu implementierendes Interface markiert und die rechte Maustaste 
//drückt, kommt im Context Menu "implement interface" und "implement interface explicitely".
//Dabei wird im ersten Fall das Implement als Teil des normalen Klassen-Interfaces implementiert, das andere Mal
//als Teil des Interfaces.
//In VB passiert beides zusammen und ist nur trennbar, wenn man den Scope von Public auf Private ändert

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace InterfaceImplementationCS
{
    class Person : Interface1
    {
        //implement interface creates:
        #region Interface1 Members

        public void Foo()
        {
            throw new NotImplementedException();
        }

        public void Bar()
        {
            throw new NotImplementedException();
        }

        #endregion

        //implement interface explicitely creates:
        #region Interface1 Members

        void Interface1.Foo()
        {
            throw new NotImplementedException();
        }

        void Interface1.Bar()
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
