﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;

namespace Assert
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("expected=2; result={0}", MyFamousComputation(4, 2));
            Console.WriteLine("expected=2; result={0}", MyFamousComputation(4, 0));
            Console.ReadLine();
        }

        static int MyFamousComputation(int a, int b)
        {
            //preconditions
            Debug.Assert((a > 0) && (a < 10));
            Debug.Assert((b != 0), "Don't divide by 0!");
            Debug.Assert(b > 0);

            //action
            int c = (int)(a / b);

            //postconditions
            Debug.Assert(c>=0);

            //return result
            return c;
        }
    }
}
