﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Threading;

namespace ThreadingTimerLambda
{
    public partial class Form1 : Form
    {
        System.Threading.Timer mTimer;
        bool mTickNext = true;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            txtClock.Text = DateTime.Now.ToLongTimeString();

            //use a statement lambda instead of a delegate to invoke 
            //the handler and use another statement lamda to define the
            //event handler "in-line"
            mTimer = new System.Threading.Timer((object state) => 
                {
                    this.Invoke(new Action(() => 
                        {
                            txtClock.Text = DateTime.Now.ToLongTimeString();
                            if (mTickNext)
                                label1.Text = "Tick";
                            else
                                label1.Text = "Tock";
                            mTickNext = !mTickNext;
                        })
                        , null);
                }
                , null, 1000, 1000);
        }
    }
}
