﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LINQSample
{
    class Program
    {
        static void Main(string[] args)
        {
            List<Customer> customerList = new List<Customer>();

            //return existing type
            var query1 = from c in customerList
                        where c.CustomerID > 10
                        select c;

            //create new anonymous type:
            var query2 = from c in customerList select new { id = c.CustomerID, name = c.ContactName };

            //create new type
            var query3 = from c in customerList 
                         select new Customer{CustomerID = c.CustomerID, ContactName = c.ContactName };


        }
    }
}
