﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MinMaxCoordinates
{
    class Program
    {
        static void Main(string[] args)
        {
            List<MyPointF> myList = new List<MyPointF>();

            // add test data
            myList.Add(new MyPointF(-10.0F, 20.0F));
            myList.Add(new MyPointF(0.0F, 0.0F));
            myList.Add(new MyPointF(20.0F, 40.0F));
            myList.Add(new MyPointF(30.0F,-20.0F));
            myList.Add(new MyPointF(40.0F, 60.0F));

            // create a sorted collection of x-coordinates
            var arrX = from p in myList
                       orderby p.X ascending
                       select p.X;
                        Console.WriteLine(string.Format("minX: {0}; maxX: {1}", arrX.First(),arrX.Last()));

            // create a sorted collection of y-coordinates
            var arrY = from p in myList
                       orderby p.Y ascending
                       select p.Y;
                        Console.WriteLine(string.Format("minY: {0}; maxY: {1}", arrY.First(), arrY.Last()));

            Console.WriteLine("Hit Enter to exit.");
            Console.ReadLine();
        }
    }
}
