﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Linq;

namespace LinqToXML
{
    class Program
    {
        static void Main(string[] args)
        {
            var  xmlDoc = XDocument.Load("myCars.xml");

            Console.WriteLine("All cars in file:");
            var query = from model in xmlDoc.Descendants("Model")
                        select new { Name = model.Attribute("Name") };

            foreach (var c in query)
            {
                Console.WriteLine("\t" + c.Name);
            }

            Console.ReadLine();
        }
    }
}
