﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;

namespace AdvancedOOP
{
    public partial class Form1 : Form
    {
         public Form1()
        {
            InitializeComponent();
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            //ExchangeStudent stdnt = new ExchangeStudent();
            Student stdnt = new ExchangeStudent();
            
            stdnt.SetName("Herbert");
            stdnt.SetName(NameType.Normal, "Hr. Herbert Feichtinger");
            stdnt.SetName(NameType.Nick, "Herbie");
            stdnt.BirthDate = new DateTime(1962,1,27);  //27-Jan-1962
            stdnt.EntryDate = new DateTime(2010,3,9);   //9-Mar-2010
            stdnt.PocketMoney = 200.0;
            //stdnt.Country = "USA";

            txtName.Text = stdnt.ToString();            //stdnt.GetName();
            txtFormalName.Text = stdnt.GetName(NameType.Normal);
            txtNickName.Text = stdnt.GetName(NameType.Nick);
            txtBirthDate.Text=stdnt.BirthDate.ToShortDateString();
            txtEntryDate.Text=stdnt.EntryDate.ToShortDateString();
            txtPocketMoney.Text=stdnt.PocketMoney.ToString("€0.00");
            txtAge.Text = stdnt.Age.ToString();
            //txtCountry.Text = stdnt.Country;
        }

        public void Print(IPrintable p)
        {
            for (int i=0; i < p.Count(); i++)
            {
                Debug.WriteLine(String.Format("{0}: {1}", p.Label(i), p.Value(i)));
            }
        }

        private void btnPrint_Click(object sender, EventArgs e)
        {
            Student stdnt = new Student();
            stdnt.SetName("Lukas");
            stdnt.BirthDate = new DateTime(1990,1,1);
            stdnt.EntryDate=new DateTime(2005,1,1);
            Print(stdnt);
        }

    }
}
