﻿using Microsoft.VisualBasic;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Data;
using System.Diagnostics;

namespace ConsoleApplication1
{
    class Program
    {

        const string BINARY_OUTPUT_FILE = "c:\\Temp\\school.bin";

        const string XML_OUTPUT_FILE = "c:\\Temp\\school.xml";

        static void Main(string[] args)
        {
            Console.Title = "ObjectModel School, V1.20, 20-Jan-2008, Herbert Feichtinger";
            Console.SetWindowSize(110, 58);

            //create the htl donaustadt (departments, grades, students)
            School s = default(School);
            s = School.CreateSchoolTestData();

            //output the whole object model
            Console.WriteLine(s.ToString());

            //-------------------------------------------------------------------------------------------
            //SORT
            //-------------------------------------------------------------------------------------------

            //sort all students by class and ... and output them
            //Console.WriteLine("\r\n" + "Students sorted by Dept., Class, Birthdate");
            //s.SortStudentsByBirthdate();
            //Console.WriteLine(s.ToString());

            //Console.WriteLine("\r\n" + "Students sorted by Dept., Class, Gender");
            //s.SortStudentsByGender();
            //Console.WriteLine(s.ToString());

            //Console.WriteLine("\r\n" + "Students sorted by Dept., Class, Sunsight");
            //s.SortStudentsBySunSign();
            //Console.WriteLine(s.ToString());

            //-------------------------------------------------------------------------------------------
            //SERIALIZE
            //-------------------------------------------------------------------------------------------

            //binary serialize to file / deserialize from file
            //s.SerializeBinary(BINARY_OUTPUT_FILE);
            //s = null;
            //s = School.DeserializeBinary(BINARY_OUTPUT_FILE);

            //XML serialize to file / deserialize from file
            //s.SerializeXML(XML_OUTPUT_FILE);
            //s = null;
            //s = School.DeserializeXML(XML_OUTPUT_FILE);

            //output the whole object model
            Console.WriteLine(s.ToString());


            Console.ReadLine();
        }

    }
}

