﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CustomersQuery
{
    class Program
    {
        static void Main(string[] args)
        {
            List<Customer> customers = new List<Customer>() {
                new Customer { Name = "Feichtinger", FirstName = "Herbert" }, 
                new Customer { Name = "Feierfeil", FirstName = "Gerlinde" }, 
                new Customer { Name = "Pongracz", FirstName = "Ferdinand" },
                new Customer { Name = "Sidlo", FirstName = "Helmut" }};
                
            var names1 = from c in customers
                        orderby c.Name
                        select new { c.Name, c.FirstName };

            foreach (var n in names1) Console.WriteLine(n.Name + ", " + n.FirstName);
        
            Console.ReadLine();
        }
    }
}
