﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Net;

namespace WebClient
{
    class Program
    {
        static void Main(string[] args)
        {
            string siteURL = "http://www.microsoft.com";
            string fileName =@"C:\Temp\Microsoft.htm";

            try
            {
                //create new WebClient instance
                System.Net.WebClient client = new System.Net.WebClient();
                Console.WriteLine("Start downloading data from {0}", siteURL);

                //download the Web resource from the URL
                Stream data = client.OpenRead(siteURL);
                StreamReader sr = new StreamReader(data);

                //create file
                FileInfo fi = new FileInfo(fileName);
                StreamWriter sw = fi.CreateText();
                Console.WriteLine("Writing to file {0}", fileName);

                //write to file
                sw.WriteLine(sr.ReadToEnd());
                sw.Flush();
                sw.Close();
                sw.Dispose();
                sr.Close();
                sr.Dispose();
                data.Close();
                data.Dispose();

                Console.WriteLine("Done! Hit Enter to exit.");
                Console.ReadLine();
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }
        }
    }
}
