﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace FileSearch
{
    class Program
    {
        static void Main(string[] args)
        {
        }

        static List<FileInfo> SearchDirectory(DirectoryInfo dir, String pattern)
        {
            List<FileInfo> l = new List<FileInfo>();

            foreach (var file in dir.GetFiles(pattern))
                l.Add(file);

            foreach (var subDir in dir.GetDirectories())
                l.AddRange(SearchDirectory(subDir,pattern));

            return l;
        }

        static List<FileInfo> SearchDirectoryShort(DirectoryInfo startDir, String pattern)
        {
            return startDir.GetFiles(pattern, SearchOption.AllDirectories).ToList();
        }
    }
}
