﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SimpleSerialization
{
    class Program
    {
        const String FILE = "Serialization.bin";

        static void Main(string[] args)
        {
            Person p = 
                   new Person("Mustermann", "Max", 2000.0D, new DateTime(1990, 3, 31));
            Console.WriteLine("Before serialization:");
            Console.WriteLine(p.ToString());
            GenericSerializer.SerializeToFile<Person>(FILE, p);

            p = null;
            p = GenericSerializer.DeserializeFromFile<Person>(FILE);
            Console.WriteLine("\nAfter serialization:");
            Console.WriteLine(p.ToString());

            Console.WriteLine("\nHit Enter to exit.");
            Console.ReadLine();
        }
    }
}
