﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;

namespace AdvancedOOP
{
    //abstract class Person
    class Person
    {
        #region Variables
        private string mName;
        private DateTime mBirthDate;
        #endregion

        #region constructor
        public Person()
        {
            //Debug.WriteLine("Person constructor");
        }

        public Person(String name, DateTime birthDate)
        {
            mName = name;
            mBirthDate = birthDate;
        }
       
        #endregion

        #region Properties
        public virtual DateTime BirthDate
        {
            get
            {
                return mBirthDate;
            }
            set
            {
                mBirthDate = value;
            }
        }

        public int Age
        {
            get
            {
                //this formula is not correct, it results in negative age
                return (BirthDate.Year - DateTime.Now.Year); 
            }
        }
        #endregion

        #region Methods
        public virtual void SetName(string name)
        {
            mName = name;
        }
        public virtual string GetName()
        {
            return mName;
        }
        #endregion

        public override string ToString()
        {
            return this.GetName();
        }
    }
}
