﻿using AdvancedOOP;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;

namespace TestProject1
{
    
    
    /// <summary>
    ///This is a test class for StudentTest and is intended
    ///to contain all StudentTest Unit Tests
    ///</summary>
    [TestClass()]
    public class StudentTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for Student Constructor
        ///</summary>
        [TestMethod()]
        public void StudentConstructorTest()
        {
            string name = "Mustermann,Max"; 
            DateTime birthDate = new DateTime(1990,3,31);
            Student target = new Student(name, birthDate);
            Assert.AreEqual(target.GetName(), name);
        }

        /// <summary>
        ///A test for Student Constructor
        ///</summary>
        [TestMethod()]
        public void StudentConstructorTest1()
        {
            Student target = new Student();
            Assert.Inconclusive("TODO: Implement code to verify target");
        }

        /// <summary>
        ///A test for AdvancedOOP.IPrintable.Label
        ///</summary>
        [TestMethod()]
        [DeploymentItem("AdvancedOOP.exe")]
        public void LabelTest()
        {
            IPrintable target = new Student(); // TODO: Initialize to an appropriate value
            int index = 0; // TODO: Initialize to an appropriate value
            string expected = string.Empty; // TODO: Initialize to an appropriate value
            string actual;
            actual = target.Label(index);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for AdvancedOOP.IPrintable.Value
        ///</summary>
        [TestMethod()]
        [DeploymentItem("AdvancedOOP.exe")]
        public void ValueTest()
        {
            IPrintable target = new Student(); // TODO: Initialize to an appropriate value
            int index = 0; // TODO: Initialize to an appropriate value
            string expected = string.Empty; // TODO: Initialize to an appropriate value
            string actual;
            actual = target.Value(index);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for GetName
        ///</summary>
        [TestMethod()]
        public void GetNameTest()
        {
            Student target = new Student(); // TODO: Initialize to an appropriate value
            NameType nt = new NameType(); // TODO: Initialize to an appropriate value
            string expected = string.Empty; // TODO: Initialize to an appropriate value
            string actual;
            actual = target.GetName(nt);
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for SetName
        ///</summary>
        [TestMethod()]
        public void SetNameTest()
        {
            Student target = new Student(); // TODO: Initialize to an appropriate value
            NameType nt = new NameType(); // TODO: Initialize to an appropriate value
            string name = string.Empty; // TODO: Initialize to an appropriate value
            target.SetName(nt, name);
            Assert.Inconclusive("A method that does not return a value cannot be verified.");
        }

        /// <summary>
        ///A test for Age
        ///</summary>
        [TestMethod()]
        public void AgeTest()
        {
            Student target = new Student("Mustermann", new DateTime(1990,3,31)); 
            int actual;
            actual = target.Age;
            Assert.AreEqual(DateTime.Now.Year - new DateTime(1990, 3, 31).Year, actual);
        }

        /// <summary>
        ///A test for BirthDate
        ///</summary>
        [TestMethod()]
        public void BirthDateTest()
        {
            Student target = new Student(); // TODO: Initialize to an appropriate value
            DateTime expected = new DateTime(); // TODO: Initialize to an appropriate value
            DateTime actual;
            target.BirthDate = expected;
            actual = target.BirthDate;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for EntryDate
        ///</summary>
        [TestMethod()]
        public void EntryDateTest()
        {
            Student target = new Student(); // TODO: Initialize to an appropriate value
            DateTime expected = new DateTime(); // TODO: Initialize to an appropriate value
            DateTime actual;
            target.EntryDate = expected;
            actual = target.EntryDate;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for PocketMoney
        ///</summary>
        [TestMethod()]
        public void PocketMoneyTest()
        {
            Student target = new Student(); // TODO: Initialize to an appropriate value
            double expected = 0F; // TODO: Initialize to an appropriate value
            double actual;
            target.PocketMoney = expected;
            actual = target.PocketMoney;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }
    }
}
